Bug 8303 - db_ctdb_send_schedule_for_deletion() is not defined
db_ctdb_send_schedule_for_deletion() is not defined
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Clustering
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 15:42 UTC by Björn Baumbach
Modified: 2011-07-31 19:14 UTC (History)
2 users (show)

See Also:


Attachments
fix for bug #8303 (1.43 KB, patch)
2011-07-12 17:16 UTC, Björn Baumbach
metze: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2011-07-12 15:42:27 UTC
db_ctdb_send_schedule_for_deletion() is not defined, since CTDB_CONTROL_SCHEDULE_FOR_DELETION is an enum member and no define.
Have to replace
#ifdef CTDB_CONTROL_SCHEDULE_FOR_DELETION
with
#ifdef HAVE_CTDB_CONTROL_SCHEDULE_FOR_DELETION_DECL
in lib/dbwrap_ctdb.c

Fix follows up
Comment 1 Björn Baumbach 2011-07-12 17:16:17 UTC
Created attachment 6683 [details]
fix for bug #8303
Comment 2 Stefan Metzmacher 2011-07-12 20:37:01 UTC
Comment on attachment 6683 [details]
fix for bug #8303

Looks good, Michael please also ack this and assign to Karolin
Comment 3 Michael Adam 2011-07-30 09:07:44 UTC
Assigning to Karolin for inclusion into 3.6
Comment 4 Karolin Seeger 2011-07-31 19:14:10 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!